_USB1Interrupt:
;USB_PIC32.c,43 :: 		void USB1Interrupt() iv IVT_USB_1 ilevel 7 ics ICS_SRS{
RDPGPR	SP, SP
ADDIU	SP, SP, -12
MFC0	R30, 12, 2
SW	R30, 8(SP)
MFC0	R30, 14, 0
SW	R30, 4(SP)
MFC0	R30, 12, 0
SW	R30, 0(SP)
INS	R30, R0, 1, 15
ORI	R30, R0, 7168
MTC0	R30, 12, 0
ADDIU	SP, SP, -4
SW	RA, 0(SP)
;USB_PIC32.c,44 :: 		USBDev_IntHandler();
JAL	_USBDev_IntHandler+0
NOP	
;USB_PIC32.c,45 :: 		}
L_end_USB1Interrupt:
LW	RA, 0(SP)
ADDIU	SP, SP, 4
DI	
EHB	
LW	R30, 8(SP)
MTC0	R30, 12, 2
LW	R30, 4(SP)
MTC0	R30, 14, 0
LW	R30, 0(SP)
MTC0	R30, 12, 0
ADDIU	SP, SP, 12
WRPGPR	SP, SP
ERET	
; end of _USB1Interrupt
_USBDev_CDCParamsChanged:
;USB_PIC32.c,47 :: 		void USBDev_CDCParamsChanged(){
;USB_PIC32.c,48 :: 		}
L_end_USBDev_CDCParamsChanged:
JR	RA
NOP	
; end of _USBDev_CDCParamsChanged
_USBDev_CDCDataReceived:
;USB_PIC32.c,51 :: 		void USBDev_CDCDataReceived(uint16_t size){
ADDIU	SP, SP, -12
SW	RA, 0(SP)
;USB_PIC32.c,53 :: 		USBDev_CDCSetReceiveBuffer(buffer);
SW	R25, 4(SP)
SW	R26, 8(SP)
LUI	R25, #hi_addr(_buffer+0)
ORI	R25, R25, #lo_addr(_buffer+0)
JAL	_USBDev_CDCSetReceiveBuffer+0
NOP	
;USB_PIC32.c,54 :: 		if( strstr(buffer,"MS")  )    // check if command was found in buffer
LUI	R26, #hi_addr(?lstr1_USB_PIC32+0)
ORI	R26, R26, #lo_addr(?lstr1_USB_PIC32+0)
LUI	R25, #hi_addr(_buffer+0)
ORI	R25, R25, #lo_addr(_buffer+0)
JAL	_strstr+0
NOP	
BNE	R2, R0, L__USBDev_CDCDataReceived24
NOP	
J	L_USBDev_CDCDataReceived0
NOP	
L__USBDev_CDCDataReceived24:
;USB_PIC32.c,55 :: 		MSC_flag = 1;
ORI	R2, R0, 1
SB	R2, Offset(_MSC_flag+0)(GP)
L_USBDev_CDCDataReceived0:
;USB_PIC32.c,56 :: 		USBDev_CDCSendData( stn_out, strlen(stn_out) );
LUI	R25, #hi_addr(USBDev_CDCDataReceived_stn_out_L0+0)
ORI	R25, R25, #lo_addr(USBDev_CDCDataReceived_stn_out_L0+0)
JAL	_strlen+0
NOP	
SEH	R26, R2
LUI	R25, #hi_addr(USBDev_CDCDataReceived_stn_out_L0+0)
ORI	R25, R25, #lo_addr(USBDev_CDCDataReceived_stn_out_L0+0)
JAL	_USBDev_CDCSendData+0
NOP	
;USB_PIC32.c,57 :: 		}
L_end_USBDev_CDCDataReceived:
LW	R26, 8(SP)
LW	R25, 4(SP)
LW	RA, 0(SP)
ADDIU	SP, SP, 12
JR	RA
NOP	
; end of _USBDev_CDCDataReceived
_start_MassStorageUSB:
;USB_PIC32.c,59 :: 		char start_MassStorageUSB(){
ADDIU	SP, SP, -4
SW	RA, 0(SP)
;USB_PIC32.c,60 :: 		delay_ms(1000);
LUI	R24, 406
ORI	R24, R24, 59050
L_start_MassStorageUSB1:
ADDIU	R24, R24, -1
BNE	R24, R0, L_start_MassStorageUSB1
NOP	
;USB_PIC32.c,61 :: 		U1OTGIR   = 0x0000;
SW	R0, Offset(U1OTGIR+0)(GP)
;USB_PIC32.c,62 :: 		U1OTGIE   = 0x0000;
SW	R0, Offset(U1OTGIE+0)(GP)
;USB_PIC32.c,63 :: 		U1OTGSTAT = 0x0000;
SW	R0, Offset(U1OTGSTAT+0)(GP)
;USB_PIC32.c,64 :: 		U1OTGCON  = 0x0000;
SW	R0, Offset(U1OTGCON+0)(GP)
;USB_PIC32.c,65 :: 		U1PWRC    = 0x0000;
SW	R0, Offset(U1PWRC+0)(GP)
;USB_PIC32.c,66 :: 		U1IR      = 0x0000;
SW	R0, Offset(U1IR+0)(GP)
;USB_PIC32.c,67 :: 		U1IE      = 0x0000;
SW	R0, Offset(U1IE+0)(GP)
;USB_PIC32.c,68 :: 		U1EIR     = 0x0000;
SW	R0, Offset(U1EIR+0)(GP)
;USB_PIC32.c,69 :: 		U1EIE     = 0x0000;
SW	R0, Offset(U1EIE+0)(GP)
;USB_PIC32.c,70 :: 		U1STAT    = 0x0000;
SW	R0, Offset(U1STAT+0)(GP)
;USB_PIC32.c,71 :: 		U1CON     = 0x0000;
SW	R0, Offset(U1CON+0)(GP)
;USB_PIC32.c,72 :: 		U1ADDR    = 0x0000;
SW	R0, Offset(U1ADDR+0)(GP)
;USB_PIC32.c,73 :: 		U1BDTP1   = 0x0000;
SW	R0, Offset(U1BDTP1+0)(GP)
;USB_PIC32.c,74 :: 		U1FRML    = 0x0000;
SW	R0, Offset(U1FRML+0)(GP)
;USB_PIC32.c,75 :: 		delay_ms(1000);
LUI	R24, 406
ORI	R24, R24, 59050
L_start_MassStorageUSB3:
ADDIU	R24, R24, -1
BNE	R24, R0, L_start_MassStorageUSB3
NOP	
;USB_PIC32.c,76 :: 		USBDev_MSCInit();
JAL	_USBDev_MSCInit+0
NOP	
;USB_PIC32.c,77 :: 		USBDev_Init();
JAL	_USBDev_Init+0
NOP	
;USB_PIC32.c,78 :: 		USBIE_bit = 1;
LUI	R2, BitMask(USBIE_bit+0)
ORI	R2, R2, BitMask(USBIE_bit+0)
_SX	8, Offset(USBIE_bit+8), 4
;USB_PIC32.c,79 :: 		IPC11bits.USBIP = 7;
ORI	R2, R0, 7168
SH	R2, Offset(IPC11bits+8)(GP)
;USB_PIC32.c,80 :: 		EnableInterrupts();
EI	R30
;USB_PIC32.c,81 :: 		delay_ms(100);
LUI	R24, 40
ORI	R24, R24, 45226
L_start_MassStorageUSB5:
ADDIU	R24, R24, -1
BNE	R24, R0, L_start_MassStorageUSB5
NOP	
;USB_PIC32.c,82 :: 		return 1;
ORI	R2, R0, 1
;USB_PIC32.c,83 :: 		}
L_end_start_MassStorageUSB:
LW	RA, 0(SP)
ADDIU	SP, SP, 4
JR	RA
NOP	
; end of _start_MassStorageUSB
_start_CommunicationDeviceUSB:
;USB_PIC32.c,85 :: 		char start_CommunicationDeviceUSB(){
ADDIU	SP, SP, -8
SW	RA, 0(SP)
;USB_PIC32.c,86 :: 		delay_ms(1000);
SW	R25, 4(SP)
LUI	R24, 406
ORI	R24, R24, 59050
L_start_CommunicationDeviceUSB7:
ADDIU	R24, R24, -1
BNE	R24, R0, L_start_CommunicationDeviceUSB7
NOP	
;USB_PIC32.c,87 :: 		MSC_flag = 0;
SB	R0, Offset(_MSC_flag+0)(GP)
;USB_PIC32.c,88 :: 		U1OTGIR   = 0x0000;
SW	R0, Offset(U1OTGIR+0)(GP)
;USB_PIC32.c,89 :: 		U1OTGIE   = 0x0000;
SW	R0, Offset(U1OTGIE+0)(GP)
;USB_PIC32.c,90 :: 		U1OTGSTAT = 0x0000;
SW	R0, Offset(U1OTGSTAT+0)(GP)
;USB_PIC32.c,91 :: 		U1OTGCON  = 0x0000;
SW	R0, Offset(U1OTGCON+0)(GP)
;USB_PIC32.c,92 :: 		U1PWRC    = 0x0000;
SW	R0, Offset(U1PWRC+0)(GP)
;USB_PIC32.c,93 :: 		U1IR      = 0x0000;
SW	R0, Offset(U1IR+0)(GP)
;USB_PIC32.c,94 :: 		U1IE      = 0x0000;
SW	R0, Offset(U1IE+0)(GP)
;USB_PIC32.c,95 :: 		U1EIR     = 0x0000;
SW	R0, Offset(U1EIR+0)(GP)
;USB_PIC32.c,96 :: 		U1EIE     = 0x0000;
SW	R0, Offset(U1EIE+0)(GP)
;USB_PIC32.c,97 :: 		U1STAT    = 0x0000;
SW	R0, Offset(U1STAT+0)(GP)
;USB_PIC32.c,98 :: 		U1CON     = 0x0000;
SW	R0, Offset(U1CON+0)(GP)
;USB_PIC32.c,99 :: 		U1ADDR    = 0x0000;
SW	R0, Offset(U1ADDR+0)(GP)
;USB_PIC32.c,100 :: 		U1BDTP1   = 0x0000;
SW	R0, Offset(U1BDTP1+0)(GP)
;USB_PIC32.c,101 :: 		U1FRML    = 0x0000;
SW	R0, Offset(U1FRML+0)(GP)
;USB_PIC32.c,102 :: 		delay_ms(1000);
LUI	R24, 406
ORI	R24, R24, 59050
L_start_CommunicationDeviceUSB9:
ADDIU	R24, R24, -1
BNE	R24, R0, L_start_CommunicationDeviceUSB9
NOP	
;USB_PIC32.c,103 :: 		USBDev_CDCInit();
JAL	_USBDev_CDCInit+0
NOP	
;USB_PIC32.c,104 :: 		USBDev_Init();
JAL	_USBDev_Init+0
NOP	
;USB_PIC32.c,105 :: 		USBIE_bit = 1;
LUI	R2, BitMask(USBIE_bit+0)
ORI	R2, R2, BitMask(USBIE_bit+0)
_SX	8, Offset(USBIE_bit+8), 4
;USB_PIC32.c,106 :: 		IPC11bits.USBIP = 7;
ORI	R2, R0, 7168
SH	R2, Offset(IPC11bits+8)(GP)
;USB_PIC32.c,107 :: 		EnableInterrupts();
EI	R30
;USB_PIC32.c,108 :: 		while(USBDev_GetDeviceState() != _USB_DEV_STATE_CONFIGURED)   // Wait until device is configured (enumeration is successfully finished)
L_start_CommunicationDeviceUSB11:
JAL	_USBDev_GetDeviceState+0
NOP	
ANDI	R3, R2, 255
ORI	R2, R0, 16
BNE	R3, R2, L__start_CommunicationDeviceUSB28
NOP	
J	L_start_CommunicationDeviceUSB12
NOP	
L__start_CommunicationDeviceUSB28:
;USB_PIC32.c,109 :: 		;
J	L_start_CommunicationDeviceUSB11
NOP	
L_start_CommunicationDeviceUSB12:
;USB_PIC32.c,110 :: 		USBDev_CDCSetReceiveBuffer(buffer);
LUI	R25, #hi_addr(_buffer+0)
ORI	R25, R25, #lo_addr(_buffer+0)
JAL	_USBDev_CDCSetReceiveBuffer+0
NOP	
;USB_PIC32.c,111 :: 		return 1;
ORI	R2, R0, 1
;USB_PIC32.c,112 :: 		}
;USB_PIC32.c,111 :: 		return 1;
;USB_PIC32.c,112 :: 		}
L_end_start_CommunicationDeviceUSB:
LW	R25, 4(SP)
LW	RA, 0(SP)
ADDIU	SP, SP, 8
JR	RA
NOP	
; end of _start_CommunicationDeviceUSB
_main:
;USB_PIC32.c,114 :: 		void main() {
;USB_PIC32.c,116 :: 		AD1PCFG = 0xFFFF;
ORI	R2, R0, 65535
SW	R2, Offset(AD1PCFG+0)(GP)
;USB_PIC32.c,117 :: 		SPI3_Init_Advanced(_SPI_MASTER, _SPI_8_BIT, 80, _SPI_SS_DISABLE, _SPI_DATA_SAMPLE_MIDDLE, _SPI_CLK_IDLE_HIGH, _SPI_ACTIVE_2_IDLE);
MOVZ	R28, R0, R0
ORI	R27, R0, 80
MOVZ	R26, R0, R0
ORI	R25, R0, 32
ADDIU	SP, SP, -8
SH	R0, 4(SP)
ORI	R2, R0, 64
SH	R2, 2(SP)
SH	R0, 0(SP)
JAL	_SPI3_Init_Advanced+0
NOP	
ADDIU	SP, SP, 8
;USB_PIC32.c,119 :: 		start_CommunicationDeviceUSB();
JAL	_start_CommunicationDeviceUSB+0
NOP	
;USB_PIC32.c,121 :: 		while(1)
L_main13:
;USB_PIC32.c,123 :: 		if(MSC_flag)
LBU	R2, Offset(_MSC_flag+0)(GP)
BNE	R2, R0, L__main31
NOP	
J	L_main15
NOP	
L__main31:
;USB_PIC32.c,125 :: 		MSC_flag = 0;
SB	R0, Offset(_MSC_flag+0)(GP)
;USB_PIC32.c,126 :: 		start_MassStorageUSB();
JAL	_start_MassStorageUSB+0
NOP	
;USB_PIC32.c,127 :: 		while(U1OTGSTATbits.VBUSVD){
L_main16:
LBU	R2, Offset(U1OTGSTATbits+0)(GP)
EXT	R2, R2, 0, 1
BNE	R2, R0, L__main33
NOP	
J	L_main17
NOP	
L__main33:
;USB_PIC32.c,128 :: 		USBDev_MSCMain();
JAL	_USBDev_MSCMain+0
NOP	
;USB_PIC32.c,129 :: 		}
J	L_main16
NOP	
L_main17:
;USB_PIC32.c,130 :: 		delay_ms(2000);
LUI	R24, 813
ORI	R24, R24, 52564
L_main18:
ADDIU	R24, R24, -1
BNE	R24, R0, L_main18
NOP	
NOP	
NOP	
;USB_PIC32.c,131 :: 		start_CommunicationDeviceUSB();
JAL	_start_CommunicationDeviceUSB+0
NOP	
;USB_PIC32.c,132 :: 		}
L_main15:
;USB_PIC32.c,133 :: 		}
J	L_main13
NOP	
;USB_PIC32.c,134 :: 		}
L_end_main:
L__main_end_loop:
J	L__main_end_loop
NOP	
; end of _main
